<template>
    <div class="app">
        <div class="app__inner">
            <Header />
            <Menu />
            <nuxt />
            <Footer />
        </div>
    </div>
</template>

<script>
import Header from '~/components/Header/Header'
import Menu   from '~/components/Menu/Menu'
import Footer from '~/components/Footer/Footer'

export default {
    components: {
        Header,
        Menu,
        Footer
    }
}
</script>

<style>
/* Component */
.app {
    display: grid;
    padding: 60px 0;
}

.app__inner {
    width: 90%;
    margin: 0 auto;
}
/* General */
html {
  font-family: "Source Sans Pro", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
  font-size: 18px;
  line-height: 1.6;
  word-spacing: 1px;
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  box-sizing: border-box;
}

*, *:before, *:after {
  box-sizing: border-box;
  margin: 0;
}

h1, h2, h3, h4, h5, h6 {
    margin: 0 0 30px;
    line-height: 1.2;
}

h1 {
    font-size: 52px;
}

h2 {
    font-size: 32px;
}

h3 {
    font-size: 24px;
}

h4 {
    font-size: 16px;
    line-height: 1.6;
}

h5 {
    font-size: 12px;
    line-height: 1.6;
}

h6 {
    font-size: 10px;
    line-height: 1.6;
}

p {
    margin: 0 0 30px;
}
</style>
